# -*- coding: utf-8 -*-

# Define here the models for your scraped items
#
# See documentation in:
# http://doc.scrapy.org/en/latest/topics/items.html

import scrapy


class YdyspiderItem(scrapy.Item):
    # define the fields for your item here like:
    # name = scrapy.Field()
    pass


class BookInfoItem(scrapy.Item):
    source_bid = scrapy.Field()
    source_name = scrapy.Field()
    name = scrapy.Field()
    author = scrapy.Field()
    intro = scrapy.Field()
    cover = scrapy.Field()
    keyword = scrapy.Field()
    category_id = scrapy.Field()
    status = scrapy.Field()
    chapter_count = scrapy.Field()
    first_cid = scrapy.Field()
    last_cid = scrapy.Field()
    size = scrapy.Field()
    last_chapter = scrapy.Field()
    category_name = scrapy.Field()
    gender = scrapy.Field()
    updated_at = scrapy.Field()
    created_at = scrapy.Field()


class ChapterItem(scrapy.Item):
    bid = scrapy.Field()
    name = scrapy.Field()
    sequence = scrapy.Field()
    size = scrapy.Field()
    is_vip = scrapy.Field()
    prev_cid = scrapy.Field()
    next_cid = scrapy.Field()
    recent_update_at = scrapy.Field()
    content = scrapy.Field()
    chapter_content_id = scrapy.Field()
    source_chapter_id = scrapy.Field()
    created_at = scrapy.Field()
    updated_at = scrapy.Field()
